 /*
 * 手太欠
 * 愿这世界都如故事里一样 美好而动人~
 */

Page({

    /**
     * 页面的初始数据
     */
    data: {
        stockData   : '',      //前置
        logsArr     : [],      // 提货列表数据
        page        : {},      //下一页
        lodingStats : false,   //加载状态
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {},

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {
        // 获取提货前置
        this.pickInfo();
            
        // 获取账变记录
        this.logsList();
    },

    /**
     * 提货前置
     */
    pickInfo (){
        wx.$api.stock.pick().then(res => {
            this.setData({
                stockData : res.data.stockData
            })
        }).catch(err => {})
    },

    /**
     * 账变记录
     */
    logsList (page){
        wx.$api.stock.logs({
            page: page
        }).then(res => {
            let listArr = this.data.logsArr,
                newData = []
            if(page == 1 || page == undefined) listArr = []
            newData = listArr.concat(res.data.data)
            this.setData({
                logsArr     : newData,
                page        : res.data.page,
                lodingStats : false
            })
            wx.stopPullDownRefresh()
        }).catch(err => {})
    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {
        // 获取账变记录
        this.logsList();
    },

    /**
     * 上拉加载
     */
    onReachBottom(){
        this.setData({
            lodingStats: true
        })
        let pageNumber = this.data.page.current
        if(this.data.page.has_more){
            pageNumber++
            // 获取账变记录
            this.logsList(pageNumber);
        }
    }
})